/*
 * Copyright (c) 2019-2021 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 * PROPRIETARY/CONFIDENTIAL
 *
 * Use is subject to license terms.
 *
 * tiny-json_config.h: Header file for tiny-json configuration.
 */

#ifndef TINY_JSON_CONFIG_H
#define TINY_JSON_CONFIG_H 1

#include "str_utils.h"

#ifdef __cplusplus
extern "C" {
#endif

/******************************************************
 *                      Macros
 ******************************************************/
// It is enough float precision now (it is already implemented)
#define TINY_JSON_PLATFORM_STR_TO_DOUBLE(value) ((double)str_strtof(value, NULL))

/******************************************************
 *                    Constants
 ******************************************************/

/******************************************************
 *                   Enumerations
 ******************************************************/

/******************************************************
 *                 Type Definitions
 ******************************************************/

/******************************************************
 *                    Structures
 ******************************************************/

/******************************************************
 *                 Global Variables
 ******************************************************/

/******************************************************
 *               Function Declarations
 ******************************************************/

#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* TINY_JSON_CONFIG_H */
